petsc-3.7.7 2017-09-25
Report Typos and Errors

# VecMDotBegin

Starts a split phase multiple dot product computation.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecMDotBegin(Vec x,PetscInt nv,const Vec y[],PetscScalar result[])

### Input Parameters

| x | - the first vector
| nv | - number of vectors
| y | - array of vectors
| result | - where the result will go (can be NULL)

### Notes

Each call to VecMDotBegin() should be paired with a call to VecMDotEnd().

### See Also

VecMDotEnd(), VecNormBegin(), VecNormEnd(), VecNorm(), VecDot(), VecMDot(),
VecTDotBegin(), VecTDotEnd(), VecMTDotBegin(), VecMTDotEnd(), PetscCommSplitReductionBegin()

Level:advanced
Location:src/vec/vec/utils/comb.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages